### Hierarchy

- Tx

## Index

### Constructors

- constructor

### Properties

- _outBuffer
- _outBufferCursor
- _signatureSet
- _workBuffer
- chainId
- data
- gasLimit
- gasPrice
- nonce
- r
- s
- serializeNumber
- to
- v
- value
- write

### Methods

- canonicalOrder
- clearSignature
- message
- serializeBytes
- serializeRLP
- setSignature

## Constructors

### constructor

- new Tx(chainId: number): Tx

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:18

  #### Parameters

  - ##### chainId: number

  #### Returns Tx

## Properties

### _outBuffer

_outBuffer: DataView

- Defined in src/assets/js/ethtx/dist/tx.d.ts:17

### _outBufferCursor

_outBufferCursor: number

- Defined in src/assets/js/ethtx/dist/tx.d.ts:18

### _signatureSet

_signatureSet: boolean

- Defined in src/assets/js/ethtx/dist/tx.d.ts:15

### _workBuffer

_workBuffer: ArrayBuffer

- Defined in src/assets/js/ethtx/dist/tx.d.ts:16

### chainId

chainId: number

- Defined in src/assets/js/ethtx/dist/tx.d.ts:14

### data

data: Uint8Array

- Defined in src/assets/js/ethtx/dist/tx.d.ts:10

### gasLimit

gasLimit: number

- Defined in src/assets/js/ethtx/dist/tx.d.ts:7

### gasPrice

gasPrice: number

- Defined in src/assets/js/ethtx/dist/tx.d.ts:6

### nonce

nonce: number

- Defined in src/assets/js/ethtx/dist/tx.d.ts:5

### r

r: Uint8Array

- Defined in src/assets/js/ethtx/dist/tx.d.ts:12

### s

s: Uint8Array

- Defined in src/assets/js/ethtx/dist/tx.d.ts:13

### Private serializeNumber

serializeNumber: any

- Defined in src/assets/js/ethtx/dist/tx.d.ts:20

### to

to: Uint8Array

- Defined in src/assets/js/ethtx/dist/tx.d.ts:8

### v

v: number

- Defined in src/assets/js/ethtx/dist/tx.d.ts:11

### value

value: bigint

- Defined in src/assets/js/ethtx/dist/tx.d.ts:9

### Private write

write: any

- Defined in src/assets/js/ethtx/dist/tx.d.ts:21

## Methods

### canonicalOrder

- canonicalOrder(): Uint8Array[]

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:23

  #### Returns Uint8Array[]

### clearSignature

- clearSignature(): void

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:27

  #### Returns void

### message

- message(): Uint8Array

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:25

  #### Returns Uint8Array

### serializeBytes

- serializeBytes(): Uint8Array

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:22

  #### Returns Uint8Array

### serializeRLP

- serializeRLP(): Uint8Array

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:24

  #### Returns Uint8Array

### setSignature

- setSignature(r: Uint8Array, s: Uint8Array, v: number): void

- - Defined in src/assets/js/ethtx/dist/tx.d.ts:26

  #### Parameters

  - ##### r: Uint8Array

  - ##### s: Uint8Array

  - ##### v: number

  #### Returns void

Generated using TypeDoc